StarObjectSmallGraphicInternal::GluePoint Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::GluePoint Class Reference

Internal: virtual class to store a glue point. More...

## Public Member Functions
| GluePoint (int x=0, int y=0)
| constructor More...

## Public Attributes
STOFFVec2i | m_dimension
| the dimension More...
int | m_direction
| the esc direction More...
int | m_id
| the id More...
int | m_align
| the alignment More...
bool | m_percent
| a flag to know if this is percent More...

## Friends
std::ostream & | operator<< (std::ostream &o, GluePoint const &pt)
| operator<< More...

## Detailed Description

Internal: virtual class to store a glue point.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::GluePoint::GluePoint | ( | int | x = `0`,
|  | int | y = `0`
| ) |  |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | GluePoint const & | pt
| ) |  |
| friend

operator<<

## Member Data Documentation

int StarObjectSmallGraphicInternal::GluePoint::m_align

the alignment

Referenced by StarObjectSmallGraphic::readSDRGluePoint().

STOFFVec2i StarObjectSmallGraphicInternal::GluePoint::m_dimension

the dimension

Referenced by StarObjectSmallGraphic::readSDRGluePoint().

int StarObjectSmallGraphicInternal::GluePoint::m_direction

the esc direction

Referenced by StarObjectSmallGraphic::readSDRGluePoint().

int StarObjectSmallGraphicInternal::GluePoint::m_id

the id

Referenced by StarObjectSmallGraphic::readSDRGluePoint().

bool StarObjectSmallGraphicInternal::GluePoint::m_percent

a flag to know if this is percent

Referenced by StarObjectSmallGraphic::readSDRGluePoint().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx